!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
module task_def
  !
  interface
     real function rangau(sigma)
       real, intent(in) :: sigma
     end function rangau
  end interface
  !
  interface
     logical function gildas_error(header,name,error)
       use image_def
       type (gildas), intent(in) :: header
       character(len=*), intent(in) ::name
       logical, intent(in) :: error
     end function gildas_error
  end interface
  !
  interface
     subroutine gag_message(severity,rname,message)
       integer, intent(in) :: severity
       character(len=*), intent(in) :: rname, message
     end subroutine gag_message
  end interface
  !
end module task_def
!
!!!!!!!!!!!!!!!!!!!!!!! mod:task_def.f90 ends here !!!!!!!!!!!!!!!!!!!!!!!!
